commit 2d31587003068f754f1c662c620964cbdd99750f
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon May 11 13:10:28 2020 +0200

    Documentation massively overhauled:
    - Remote Procedure Call system massively reworked.
    - Component diagram slightly enhanced.
    - Several fixes.

diff --git a/doc/activitydiagrams/core/urtCoreStartNodes.svg b/doc/activitydiagrams/core/urtCoreStartNodes.svg
index a4fc689..9b8af30 100644
--- a/doc/activitydiagrams/core/urtCoreStartNodes.svg
+++ b/doc/activitydiagrams/core/urtCoreStartNodes.svg
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="572px" preserveAspectRatio="none" style="width:287px;height:572px;" version="1.1" viewBox="0 0 287 572" width="287px" zoomAndPan="magnify"><defs><filter height="300%" id="fxn4zf5n3gka3" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="98" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="181" x="52" y="47.6611">urtCoreStartNodes()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="145.5" y="68.6143"/><path d="M87,72.8594 L87,123.125 L199,123.125 L199,82.8594 L189,72.8594 L87,72.8594 " fill="#FBFB77" filter="url(#fxn4zf5n3gka3)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M189,72.8594 L189,82.8594 L199,82.8594 L189,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="125.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="129.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-style="italic" lengthAdjust="spacingAndGlyphs" textLength="27" x="129.5" y="89.4263">void</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="160.5" y="89.4263"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="160.5" x2="199" y1="85.4258" y2="85.4258"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="199" y1="97.9922" y2="97.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="199" y1="99.9922" y2="99.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="97.5" y1="110.5586" y2="110.5586"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="101.5" y="114.5591"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="101.5" y="114.5591">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="34" x="150.5" y="114.5591">: void</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="188.5" x2="199" y1="110.5586" y2="110.5586"/><ellipse cx="143" cy="153.125" fill="#000000" filter="url(#fxn4zf5n3gka3)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="77" x="104.5" y="183.125"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="57" x="114.5" y="204.2637">lock core</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="266" x="10" y="237.0938"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="246" x="20" y="258.2324">access first node in core's list of nodes</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="132" x="77" y="346.7729"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="112" x="87" y="367.9116">start node thread</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="156" x="65" y="409.8394"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="136" x="75" y="430.978">proceed to next node</text><polygon fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" points="68.5,291.0625,217.5,291.0625,229.5,303.0625,217.5,315.0625,68.5,315.0625,56.5,303.0625,68.5,291.0625" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="147" y="325.2729">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="111" x="68.5" y="306.8706">Current node is not</text><text fill="#000000" font-family="monospace" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="28" x="183.5" y="306.8706">NULL</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="6" x="211.5" y="306.8706">?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="42.5" y="300.4683">no</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="93" x="96.5" y="485.8081"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="73" x="106.5" y="506.9468">unlock core</text><ellipse cx="143" cy="550.7769" fill="#FFFFFF" filter="url(#fxn4zf5n3gka3)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="143" cy="550.7769" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="123.125" y2="143.125"/><polygon fill="#A80036" points="139,133.125,143,143.125,147,133.125,143,137.125" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="163.125" y2="183.125"/><polygon fill="#A80036" points="139,173.125,143,183.125,147,173.125,143,177.125" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="217.0938" y2="237.0938"/><polygon fill="#A80036" points="139,227.0938,143,237.0938,147,227.0938,143,231.0938" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="380.7417" y2="409.8394"/><polygon fill="#A80036" points="139,399.8394,143,409.8394,147,399.8394,143,403.8394" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="315.0625" y2="346.7729"/><polygon fill="#A80036" points="139,336.7729,143,346.7729,147,336.7729,143,340.7729" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="443.8081" y2="453.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="241.5" y1="453.8081" y2="453.8081"/><polygon fill="#A80036" points="237.5,389.8394,241.5,379.8394,245.5,389.8394,241.5,385.8394" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="241.5" x2="241.5" y1="303.0625" y2="453.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="241.5" x2="229.5" y1="303.0625" y2="303.0625"/><polygon fill="#A80036" points="239.5,299.0625,229.5,303.0625,239.5,307.0625,235.5,303.0625" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="56.5" x2="44.5" y1="303.0625" y2="303.0625"/><polygon fill="#A80036" points="40.5,375.8394,44.5,385.8394,48.5,375.8394,44.5,379.8394" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="44.5" x2="44.5" y1="303.0625" y2="465.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="44.5" x2="143" y1="465.8081" y2="465.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="465.8081" y2="485.8081"/><polygon fill="#A80036" points="139,475.8081,143,485.8081,147,475.8081,143,479.8081" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="271.0625" y2="291.0625"/><polygon fill="#A80036" points="139,281.0625,143,291.0625,147,281.0625,143,285.0625" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="519.7769" y2="539.7769"/><polygon fill="#A80036" points="139,529.7769,143,539.7769,147,529.7769,143,533.7769" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[dfcd08a84323ab3bb83f9503a5ca3bee]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="572px" preserveAspectRatio="none" style="width:287px;height:572px;" version="1.1" viewBox="0 0 287 572" width="287px" zoomAndPan="magnify"><defs><filter height="300%" id="fxn4zf5n3gka3" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="98" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="181" x="52" y="47.6611">urtCoreStartNodes()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="145.5" y="68.6143"/><path d="M87,72.8594 L87,123.125 L199,123.125 L199,82.8594 L189,72.8594 L87,72.8594 " fill="#FBFB77" filter="url(#fxn4zf5n3gka3)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M189,72.8594 L189,82.8594 L199,82.8594 L189,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="125.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="129.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-style="italic" lengthAdjust="spacingAndGlyphs" textLength="27" x="129.5" y="89.4263">void</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="160.5" y="89.4263"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="160.5" x2="199" y1="85.4258" y2="85.4258"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="199" y1="97.9922" y2="97.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="199" y1="99.9922" y2="99.9922"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="87" x2="97.5" y1="110.5586" y2="110.5586"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="101.5" y="114.5591"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="101.5" y="114.5591">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="34" x="150.5" y="114.5591">: void</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="188.5" x2="199" y1="110.5586" y2="110.5586"/><ellipse cx="143" cy="153.125" fill="#000000" filter="url(#fxn4zf5n3gka3)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="77" x="104.5" y="183.125"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="57" x="114.5" y="204.2637">lock core</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="266" x="10" y="237.0938"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="246" x="20" y="258.2324">access first node in core's list of nodes</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="132" x="77" y="346.7729"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="112" x="87" y="367.9116">start node thread</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="156" x="65" y="409.8394"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="136" x="75" y="430.978">proceed to next node</text><polygon fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" points="68.5,291.0625,217.5,291.0625,229.5,303.0625,217.5,315.0625,68.5,315.0625,56.5,303.0625,68.5,291.0625" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="147" y="325.2729">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="111" x="68.5" y="306.8706">Current node is not</text><text fill="#000000" font-family="monospace" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="28" x="183.5" y="306.8706">NULL</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="6" x="211.5" y="306.8706">?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="42.5" y="300.4683">no</text><rect fill="#FEFECE" filter="url(#fxn4zf5n3gka3)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="93" x="96.5" y="485.8081"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="73" x="106.5" y="506.9468">unlock core</text><ellipse cx="143" cy="550.7769" fill="#FFFFFF" filter="url(#fxn4zf5n3gka3)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="143" cy="550.7769" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="123.125" y2="143.125"/><polygon fill="#A80036" points="139,133.125,143,143.125,147,133.125,143,137.125" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="163.125" y2="183.125"/><polygon fill="#A80036" points="139,173.125,143,183.125,147,173.125,143,177.125" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="217.0938" y2="237.0938"/><polygon fill="#A80036" points="139,227.0938,143,237.0938,147,227.0938,143,231.0938" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="380.7417" y2="409.8394"/><polygon fill="#A80036" points="139,399.8394,143,409.8394,147,399.8394,143,403.8394" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="315.0625" y2="346.7729"/><polygon fill="#A80036" points="139,336.7729,143,346.7729,147,336.7729,143,340.7729" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="443.8081" y2="453.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="241.5" y1="453.8081" y2="453.8081"/><polygon fill="#A80036" points="237.5,389.8394,241.5,379.8394,245.5,389.8394,241.5,385.8394" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="241.5" x2="241.5" y1="303.0625" y2="453.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="241.5" x2="229.5" y1="303.0625" y2="303.0625"/><polygon fill="#A80036" points="239.5,299.0625,229.5,303.0625,239.5,307.0625,235.5,303.0625" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="56.5" x2="44.5" y1="303.0625" y2="303.0625"/><polygon fill="#A80036" points="40.5,375.8394,44.5,385.8394,48.5,375.8394,44.5,379.8394" style="stroke: #A80036; stroke-width: 1.5;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="44.5" x2="44.5" y1="303.0625" y2="465.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="44.5" x2="143" y1="465.8081" y2="465.8081"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="465.8081" y2="485.8081"/><polygon fill="#A80036" points="139,475.8081,143,485.8081,147,475.8081,143,479.8081" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="271.0625" y2="291.0625"/><polygon fill="#A80036" points="139,281.0625,143,291.0625,147,281.0625,143,285.0625" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="143" x2="143" y1="519.7769" y2="539.7769"/><polygon fill="#A80036" points="139,529.7769,143,539.7769,147,529.7769,143,533.7769" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[fb2dc9ee63a5eafeada0484887d2ac3b]
 @startuml
 
 title **µRtWare**\nurtCoreStartNodes()\n
@@ -28,7 +28,7 @@ PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
+Java Version: 11.0.7+10-post-Ubuntu-2ubuntu218.04
 Operating System: Linux
 Default Encoding: UTF-8
 Language: en