commit 2d31587003068f754f1c662c620964cbdd99750f
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon May 11 13:10:28 2020 +0200

    Documentation massively overhauled:
    - Remote Procedure Call system massively reworked.
    - Component diagram slightly enhanced.
    - Several fixes.

diff --git a/doc/activitydiagrams/subscriber/frtsubscriber/urtFrtSubscriberCalculateValidity.svg b/doc/activitydiagrams/subscriber/frtsubscriber/urtFrtSubscriberCalculateValidity.svg
index 993e5fd..898770e 100644
--- a/doc/activitydiagrams/subscriber/frtsubscriber/urtFrtSubscriberCalculateValidity.svg
+++ b/doc/activitydiagrams/subscriber/frtsubscriber/urtFrtSubscriberCalculateValidity.svg
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="329px" preserveAspectRatio="none" style="width:598px;height:329px;" version="1.1" viewBox="0 0 598 329" width="598px" zoomAndPan="magnify"><defs><filter height="300%" id="flqx6fh6bygnd" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="253.5" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="305" x="145.5" y="47.6611">urtFrtSubscriberCalculateValidity()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="301" y="68.6143"/><path d="M167.5,72.8594 L167.5,198.7891 L555.5,198.7891 L555.5,82.8594 L545.5,72.8594 L167.5,72.8594 " fill="#FBFB77" filter="url(#flqx6fh6bygnd)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M545.5,72.8594 L545.5,82.8594 L555.5,82.8594 L545.5,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="250.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="254.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="78" x="254.5" y="89.4263">subscriber</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="132" x="336.5" y="89.4263">: urt_frtsubscriber_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="472.5" x2="555.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="282" x="173.5" y="105.0591">The FRT subscriber to calculate a validity for.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="76" x="173.5" y="120.1919">Must not be</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="253.5" y="120.1919">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="285.5" y="120.1919">.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="289.5" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="293.5" y="134.8247"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="53" x="293.5" y="134.8247">latency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="79" x="350.5" y="134.8247">: urt_delay_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="433.5" x2="555.5" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="367" x="173.5" y="150.4575">Latency (of a message) as argument to calculate validity.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="555.5" y1="158.5234" y2="158.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="555.5" y1="160.5234" y2="160.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="315.5" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="319.5" y="175.0903"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="319.5" y="175.0903">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="35" x="368.5" y="175.0903">: bool</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="407.5" x2="555.5" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="350" x="173.5" y="190.7231">Returns a boolean indicator whether the latency is fine.</text><ellipse cx="361.5" cy="228.7891" fill="#000000" filter="url(#flqx6fh6bygnd)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><polygon fill="#FEFECE" filter="url(#flqx6fh6bygnd)" points="173,258.7891,550,258.7891,562,270.7891,550,282.7891,173,282.7891,161,270.7891,173,258.7891" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="377" x="173" y="274.5972">Latency is lower than the deadline offset and within allowed jitter?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="141" y="268.1948">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="562" y="268.1948">no</text><path d="M10,292.7891 L10,317.9219 A0,0 0 0 0 10,317.9219 L120,317.9219 A0,0 0 0 0 120,317.9219 L120,310.7891 L140,305.3555 L120,302.7891 L120,302.7891 L110,292.7891 L10,292.7891 A0,0 0 0 0 10,292.7891 " fill="#FBFB77" filter="url(#flqx6fh6bygnd)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M110,292.7891 L110,302.7891 L120,302.7891 L110,292.7891 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="16" y="309.856">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="69" y="309.856">true</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="101" y="309.856">.</text><ellipse cx="151" cy="305.3555" fill="#FFFFFF" filter="url(#flqx6fh6bygnd)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="151" cy="305.3555" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><path d="M423,292.7891 L423,317.9219 A0,0 0 0 0 423,317.9219 L541,317.9219 A0,0 0 0 0 541,317.9219 L541,310.7891 L561,305.3555 L541,302.7891 L541,302.7891 L531,292.7891 L423,292.7891 A0,0 0 0 0 423,292.7891 " fill="#FBFB77" filter="url(#flqx6fh6bygnd)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M531,292.7891 L531,302.7891 L541,302.7891 L531,292.7891 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="429" y="309.856">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="40" x="482" y="309.856">false</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="522" y="309.856">.</text><ellipse cx="572" cy="305.3555" fill="#FFFFFF" filter="url(#flqx6fh6bygnd)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="572" cy="305.3555" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="361.5" x2="361.5" y1="198.7891" y2="218.7891"/><polygon fill="#A80036" points="357.5,208.7891,361.5,218.7891,365.5,208.7891,361.5,212.7891" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="161" x2="151" y1="270.7891" y2="270.7891"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="151" x2="151" y1="270.7891" y2="294.3555"/><polygon fill="#A80036" points="147,284.3555,151,294.3555,155,284.3555,151,288.3555" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="562" x2="572" y1="270.7891" y2="270.7891"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="572" x2="572" y1="270.7891" y2="294.3555"/><polygon fill="#A80036" points="568,284.3555,572,294.3555,576,284.3555,572,288.3555" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="361.5" x2="361.5" y1="238.7891" y2="258.7891"/><polygon fill="#A80036" points="357.5,248.7891,361.5,258.7891,365.5,248.7891,361.5,252.7891" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[f3d4ce71676cac760cc8d6c755b3d358]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="329px" preserveAspectRatio="none" style="width:598px;height:329px;" version="1.1" viewBox="0 0 598 329" width="598px" zoomAndPan="magnify"><defs><filter height="300%" id="flqx6fh6bygnd" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="253.5" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="305" x="145.5" y="47.6611">urtFrtSubscriberCalculateValidity()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="301" y="68.6143"/><path d="M167.5,72.8594 L167.5,198.7891 L555.5,198.7891 L555.5,82.8594 L545.5,72.8594 L167.5,72.8594 " fill="#FBFB77" filter="url(#flqx6fh6bygnd)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M545.5,72.8594 L545.5,82.8594 L555.5,82.8594 L545.5,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="250.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="254.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="78" x="254.5" y="89.4263">subscriber</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="132" x="336.5" y="89.4263">: urt_frtsubscriber_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="472.5" x2="555.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="282" x="173.5" y="105.0591">The FRT subscriber to calculate a validity for.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="76" x="173.5" y="120.1919">Must not be</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="253.5" y="120.1919">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="285.5" y="120.1919">.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="289.5" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="293.5" y="134.8247"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="53" x="293.5" y="134.8247">latency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="79" x="350.5" y="134.8247">: urt_delay_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="433.5" x2="555.5" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="367" x="173.5" y="150.4575">Latency (of a message) as argument to calculate validity.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="555.5" y1="158.5234" y2="158.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="555.5" y1="160.5234" y2="160.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="167.5" x2="315.5" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="319.5" y="175.0903"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="319.5" y="175.0903">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="35" x="368.5" y="175.0903">: bool</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="407.5" x2="555.5" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="350" x="173.5" y="190.7231">Returns a boolean indicator whether the latency is fine.</text><ellipse cx="361.5" cy="228.7891" fill="#000000" filter="url(#flqx6fh6bygnd)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><polygon fill="#FEFECE" filter="url(#flqx6fh6bygnd)" points="173,258.7891,550,258.7891,562,270.7891,550,282.7891,173,282.7891,161,270.7891,173,258.7891" style="stroke: #A80036; stroke-width: 1.5;"/><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="377" x="173" y="274.5972">Latency is lower than the deadline offset and within allowed jitter?</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="20" x="141" y="268.1948">yes</text><text fill="#000000" font-family="sans-serif" font-size="11" lengthAdjust="spacingAndGlyphs" textLength="14" x="562" y="268.1948">no</text><path d="M10,292.7891 L10,317.9219 A0,0 0 0 0 10,317.9219 L120,317.9219 A0,0 0 0 0 120,317.9219 L120,310.7891 L140,305.3555 L120,302.7891 L120,302.7891 L110,292.7891 L10,292.7891 A0,0 0 0 0 10,292.7891 " fill="#FBFB77" filter="url(#flqx6fh6bygnd)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M110,292.7891 L110,302.7891 L120,302.7891 L110,292.7891 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="16" y="309.856">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="69" y="309.856">true</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="101" y="309.856">.</text><ellipse cx="151" cy="305.3555" fill="#FFFFFF" filter="url(#flqx6fh6bygnd)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="151" cy="305.3555" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><path d="M423,292.7891 L423,317.9219 A0,0 0 0 0 423,317.9219 L541,317.9219 A0,0 0 0 0 541,317.9219 L541,310.7891 L561,305.3555 L541,302.7891 L541,302.7891 L531,292.7891 L423,292.7891 A0,0 0 0 0 423,292.7891 " fill="#FBFB77" filter="url(#flqx6fh6bygnd)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M531,292.7891 L531,302.7891 L541,302.7891 L531,292.7891 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="49" x="429" y="309.856">Returns</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="40" x="482" y="309.856">false</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="522" y="309.856">.</text><ellipse cx="572" cy="305.3555" fill="#FFFFFF" filter="url(#flqx6fh6bygnd)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="572" cy="305.3555" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="361.5" x2="361.5" y1="198.7891" y2="218.7891"/><polygon fill="#A80036" points="357.5,208.7891,361.5,218.7891,365.5,208.7891,361.5,212.7891" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="161" x2="151" y1="270.7891" y2="270.7891"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="151" x2="151" y1="270.7891" y2="294.3555"/><polygon fill="#A80036" points="147,284.3555,151,294.3555,155,284.3555,151,288.3555" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="562" x2="572" y1="270.7891" y2="270.7891"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="572" x2="572" y1="270.7891" y2="294.3555"/><polygon fill="#A80036" points="568,284.3555,572,294.3555,576,284.3555,572,288.3555" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="361.5" x2="361.5" y1="238.7891" y2="258.7891"/><polygon fill="#A80036" points="357.5,248.7891,361.5,258.7891,365.5,248.7891,361.5,252.7891" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[8e1808dd7f0e6d758b8dc5dee294de90]
 @startuml
 
 title **µRtWare**\nurtFrtSubscriberCalculateValidity()\n
@@ -36,7 +36,7 @@ PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
+Java Version: 11.0.7+10-post-Ubuntu-2ubuntu218.04
 Operating System: Linux
 Default Encoding: UTF-8
 Language: en