commit 2d31587003068f754f1c662c620964cbdd99750f
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon May 11 13:10:28 2020 +0200

    Documentation massively overhauled:
    - Remote Procedure Call system massively reworked.
    - Component diagram slightly enhanced.
    - Several fixes.

diff --git a/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberCalculateUsefulness.svg b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberCalculateUsefulness.svg
index 8524b23..7ac0192 100644
--- a/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberCalculateUsefulness.svg
+++ b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberCalculateUsefulness.svg
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="348px" preserveAspectRatio="none" style="width:957px;height:348px;" version="1.1" viewBox="0 0 957 348" width="957px" zoomAndPan="magnify"><defs><filter height="300%" id="f15wrzz2gus8bc" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="433" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="333" x="311" y="47.6611">urtSrtSubscriberCalculateUsefulness()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="480.5" y="68.6143"/><path d="M533,72.8594 L533,198.7891 L945,198.7891 L945,82.8594 L935,72.8594 L533,72.8594 " fill="#FBFB77" filter="url(#f15wrzz2gus8bc)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M935,72.8594 L935,82.8594 L945,82.8594 L935,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="626.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="630.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="78" x="630.5" y="89.4263">subscriber</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="135" x="712.5" y="89.4263">: urt_srtsubscriber_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="851.5" x2="945" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="308" x="539" y="105.0591">The SRT subscriber to calculate a usefulness for.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="76" x="539" y="120.1919">Must not be</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="619" y="120.1919">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="651" y="120.1919">.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="667" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="671" y="134.8247"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="53" x="671" y="134.8247">latency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="79" x="728" y="134.8247">: urt_delay_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="811" x2="945" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="391" x="539" y="150.4575">Latency (of a message) as argument to calculate usefulness.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="945" y1="158.5234" y2="158.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="945" y1="160.5234" y2="160.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="692.5" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="696.5" y="175.0903"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="696.5" y="175.0903">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="36" x="745.5" y="175.0903">: float</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="785.5" x2="945" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="293" x="539" y="190.7231">Returns the usefulness as a value within [0,1].</text><ellipse cx="739" cy="228.7891" fill="#000000" filter="url(#f15wrzz2gus8bc)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><path d="M10,263.207 L10,288.3398 A0,0 0 0 0 10,288.3398 L560,288.3398 A0,0 0 0 0 560,288.3398 L560,281.207 L580,275.7734 L560,273.207 L560,273.207 L550,263.207 L10,263.207 A0,0 0 0 0 10,263.207 " fill="#FBFB77" filter="url(#f15wrzz2gus8bc)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M550,263.207 L550,273.207 L560,273.207 L550,263.207 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="529" x="16" y="280.2739">The callback function must never return a negative value or a value greater than 1.</text><rect fill="#FEFECE" filter="url(#f15wrzz2gus8bc)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="318" x="580" y="258.7891"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="155" x="590" y="279.9277">execute the subscriber's</text><text fill="#000000" font-family="monospace" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="84" x="749" y="279.9277">usefulnesscb</text><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="51" x="837" y="279.9277">function</text><path d="M501,311.1914 L501,336.3242 A0,0 0 0 0 501,336.3242 L708,336.3242 A0,0 0 0 0 708,336.3242 L708,329.1914 L728,323.7578 L708,321.1914 L708,321.1914 L698,311.1914 L501,311.1914 A0,0 0 0 0 501,311.1914 " fill="#FBFB77" filter="url(#f15wrzz2gus8bc)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M698,311.1914 L698,321.1914 L708,321.1914 L698,311.1914 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="186" x="507" y="328.2583">Returns callback result value.</text><ellipse cx="739" cy="323.7578" fill="#FFFFFF" filter="url(#f15wrzz2gus8bc)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="739" cy="323.7578" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="739" x2="739" y1="198.7891" y2="218.7891"/><polygon fill="#A80036" points="735,208.7891,739,218.7891,743,208.7891,739,212.7891" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="739" x2="739" y1="238.7891" y2="258.7891"/><polygon fill="#A80036" points="735,248.7891,739,258.7891,743,248.7891,739,252.7891" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="739" x2="739" y1="292.7578" y2="312.7578"/><polygon fill="#A80036" points="735,302.7578,739,312.7578,743,302.7578,739,306.7578" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[a084fe7f835cdb3d14e1a1ea89d81f13]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="348px" preserveAspectRatio="none" style="width:957px;height:348px;" version="1.1" viewBox="0 0 957 348" width="957px" zoomAndPan="magnify"><defs><filter height="300%" id="f15wrzz2gus8bc" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="433" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="333" x="311" y="47.6611">urtSrtSubscriberCalculateUsefulness()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="480.5" y="68.6143"/><path d="M533,72.8594 L533,198.7891 L945,198.7891 L945,82.8594 L935,72.8594 L533,72.8594 " fill="#FBFB77" filter="url(#f15wrzz2gus8bc)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M935,72.8594 L935,82.8594 L945,82.8594 L935,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="626.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="630.5" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="78" x="630.5" y="89.4263">subscriber</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="135" x="712.5" y="89.4263">: urt_srtsubscriber_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="851.5" x2="945" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="308" x="539" y="105.0591">The SRT subscriber to calculate a usefulness for.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="76" x="539" y="120.1919">Must not be</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="619" y="120.1919">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="651" y="120.1919">.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="667" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="671" y="134.8247"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="53" x="671" y="134.8247">latency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="79" x="728" y="134.8247">: urt_delay_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="811" x2="945" y1="130.8242" y2="130.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="391" x="539" y="150.4575">Latency (of a message) as argument to calculate usefulness.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="945" y1="158.5234" y2="158.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="945" y1="160.5234" y2="160.5234"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="533" x2="692.5" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="696.5" y="175.0903"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="696.5" y="175.0903">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="36" x="745.5" y="175.0903">: float</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="785.5" x2="945" y1="171.0898" y2="171.0898"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="293" x="539" y="190.7231">Returns the usefulness as a value within [0,1].</text><ellipse cx="739" cy="228.7891" fill="#000000" filter="url(#f15wrzz2gus8bc)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><path d="M10,263.207 L10,288.3398 A0,0 0 0 0 10,288.3398 L560,288.3398 A0,0 0 0 0 560,288.3398 L560,281.207 L580,275.7734 L560,273.207 L560,273.207 L550,263.207 L10,263.207 A0,0 0 0 0 10,263.207 " fill="#FBFB77" filter="url(#f15wrzz2gus8bc)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M550,263.207 L550,273.207 L560,273.207 L550,263.207 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="529" x="16" y="280.2739">The callback function must never return a negative value or a value greater than 1.</text><rect fill="#FEFECE" filter="url(#f15wrzz2gus8bc)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="318" x="580" y="258.7891"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="155" x="590" y="279.9277">execute the subscriber's</text><text fill="#000000" font-family="monospace" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="84" x="749" y="279.9277">usefulnesscb</text><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="51" x="837" y="279.9277">function</text><path d="M501,311.1914 L501,336.3242 A0,0 0 0 0 501,336.3242 L708,336.3242 A0,0 0 0 0 708,336.3242 L708,329.1914 L728,323.7578 L708,321.1914 L708,321.1914 L698,311.1914 L501,311.1914 A0,0 0 0 0 501,311.1914 " fill="#FBFB77" filter="url(#f15wrzz2gus8bc)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M698,311.1914 L698,321.1914 L708,321.1914 L698,311.1914 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="186" x="507" y="328.2583">Returns callback result value.</text><ellipse cx="739" cy="323.7578" fill="#FFFFFF" filter="url(#f15wrzz2gus8bc)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="739" cy="323.7578" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="739" x2="739" y1="198.7891" y2="218.7891"/><polygon fill="#A80036" points="735,208.7891,739,218.7891,743,208.7891,739,212.7891" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="739" x2="739" y1="238.7891" y2="258.7891"/><polygon fill="#A80036" points="735,248.7891,739,258.7891,743,248.7891,739,252.7891" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="739" x2="739" y1="292.7578" y2="312.7578"/><polygon fill="#A80036" points="735,302.7578,739,312.7578,743,302.7578,739,306.7578" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[94f236caac5edfc56b922886c0a9aeb5]
 @startuml
 
 title **µRtWare**\nurtSrtSubscriberCalculateUsefulness()\n
@@ -33,7 +33,7 @@ PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
+Java Version: 11.0.7+10-post-Ubuntu-2ubuntu218.04
 Operating System: Linux
 Default Encoding: UTF-8
 Language: en