commit 2d31587003068f754f1c662c620964cbdd99750f
Author: Thomas Schöpping <tschoepp@cit-ec.uni-bielefeld.de>
Date:   Mon May 11 13:10:28 2020 +0200

    Documentation massively overhauled:
    - Remote Procedure Call system massively reworked.
    - Component diagram slightly enhanced.
    - Several fixes.

diff --git a/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberInit.svg b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberInit.svg
index c96b358..0096e76 100644
--- a/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberInit.svg
+++ b/doc/activitydiagrams/subscriber/srtsubscriber/urtSrtSubscriberInit.svg
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="478px" preserveAspectRatio="none" style="width:508px;height:478px;" version="1.1" viewBox="0 0 508 478" width="508px" zoomAndPan="magnify"><defs><filter height="300%" id="fnbneigsl44qa" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="208.75" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="188" x="159.25" y="47.6611">urtSrtSubscriberInit()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="256.25" y="68.6143"/><path d="M250.5,72.8594 L250.5,153.3906 L496.5,153.3906 L496.5,82.8594 L486.5,72.8594 L250.5,72.8594 " fill="#FBFB77" filter="url(#fnbneigsl44qa)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M486.5,72.8594 L486.5,82.8594 L496.5,82.8594 L486.5,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="250.5" x2="261" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="265" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="78" x="265" y="89.4263">subscriber</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="135" x="347" y="89.4263">: urt_srtsubscriber_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="486" x2="496.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="197" x="256.5" y="105.0591">The SRT subscriber to initialize.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="76" x="256.5" y="120.1919">Must not be</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="336.5" y="120.1919">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="368.5" y="120.1919">.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="250.5" x2="496.5" y1="128.2578" y2="128.2578"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="250.5" x2="496.5" y1="130.2578" y2="130.2578"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="250.5" x2="328" y1="140.8242" y2="140.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="332" y="144.8247"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="332" y="144.8247">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="34" x="381" y="144.8247">: void</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="419" x2="496.5" y1="140.8242" y2="140.8242"/><ellipse cx="373.5" cy="183.3906" fill="#000000" filter="url(#fnbneigsl44qa)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><path d="M10,203.3906 L10,425.25 A0,0 0 0 0 10,425.25 L288,425.25 A0,0 0 0 0 288,425.25 L288,318.3203 L308,314.3203 L288,310.3203 L288,213.3906 L278,203.3906 L10,203.3906 A0,0 0 0 0 10,203.3906 " fill="#FBFB77" filter="url(#fnbneigsl44qa)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M278,203.3906 L278,213.3906 L288,213.3906 L278,203.3906 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="10" x2="78" y1="215.957" y2="215.957"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="134" x="82" y="219.9575">urt_basesubscriber_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="220" x2="288" y1="215.957" y2="215.957"/><ellipse cx="21.5" cy="231.1563" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="37" x="27" y="235.5903">topic</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="68" y="235.5903">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="83" y="235.5903">NULL</text><ellipse cx="21.5" cy="246.2891" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="129" x="27" y="250.7231">urtEventListenerInit(</text><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="82" x="156" y="250.7231">evtListener</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="5" x="238" y="250.7231">)</text><ellipse cx="21.5" cy="261.4219" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="93" x="27" y="265.856">lastMessage</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="124" y="265.856">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="139" y="265.856">NULL</text><ellipse cx="21.5" cy="276.5547" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="128" x="27" y="280.9888">lastMessageTime</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="159" y="280.9888">← 0</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="10" x2="20.5" y1="291.6211" y2="291.6211"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="249" x="24.5" y="295.6216">URT_CFG_PUBSUB_PROFILING == true</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="277.5" x2="288" y1="291.6211" y2="291.6211"/><ellipse cx="21.5" cy="306.8203" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="101" x="27" y="311.2544">sumLatencies</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="132" y="311.2544">← 0</text><ellipse cx="21.5" cy="321.9531" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="173" x="27" y="326.3872">numMessagesReceived</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="204" y="326.3872">← 0</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="10" x2="85" y1="337.0195" y2="337.0195"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="120" x="89" y="341.02">urt_srtsubscriber_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="213" x2="288" y1="337.0195" y2="337.0195"/><ellipse cx="21.5" cy="352.2188" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="97" x="27" y="356.6528">usefulnesscb</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="128" y="356.6528">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="143" y="356.6528">NULL</text><ellipse cx="21.5" cy="367.3516" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="74" x="27" y="371.7856">cbparams</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="105" y="371.7856">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="120" y="371.7856">NULL</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="10" x2="20.5" y1="382.418" y2="382.418"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="249" x="24.5" y="386.4185">URT_CFG_PUBSUB_PROFILING == true</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="277.5" x2="288" y1="382.418" y2="382.418"/><ellipse cx="21.5" cy="397.6172" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="84" x="27" y="402.0513">minLatency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="52" x="115" y="402.0513">← 0xF..F</text><ellipse cx="21.5" cy="412.75" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="88" x="27" y="417.1841">maxLatency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="119" y="417.1841">← 0</text><rect fill="#FEFECE" filter="url(#fnbneigsl44qa)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="131" x="308" y="297.3359"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="111" x="318" y="318.4746">initialize members</text><ellipse cx="373.5" cy="456.25" fill="#FFFFFF" filter="url(#fnbneigsl44qa)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="373.5" cy="456.25" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="373.5" x2="373.5" y1="153.3906" y2="173.3906"/><polygon fill="#A80036" points="369.5,163.3906,373.5,173.3906,377.5,163.3906,373.5,167.3906" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="373.5" x2="373.5" y1="193.3906" y2="297.3359"/><polygon fill="#A80036" points="369.5,287.3359,373.5,297.3359,377.5,287.3359,373.5,291.3359" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="373.5" x2="373.5" y1="331.3047" y2="445.25"/><polygon fill="#A80036" points="369.5,435.25,373.5,445.25,377.5,435.25,373.5,439.25" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[3fb89f96f245540fb41ba1e970a3dc54]
+<?xml version="1.0" encoding="UTF-8" standalone="no"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" contentScriptType="application/ecmascript" contentStyleType="text/css" height="478px" preserveAspectRatio="none" style="width:521px;height:478px;" version="1.1" viewBox="0 0 521 478" width="521px" zoomAndPan="magnify"><defs><filter height="300%" id="fo5v7x2mc15wf" width="300%" x="-1" y="-1"><feGaussianBlur result="blurOut" stdDeviation="2.0"/><feColorMatrix in="blurOut" result="blurOut2" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 .4 0"/><feOffset dx="4.0" dy="4.0" in="blurOut2" result="blurOut3"/><feBlend in="SourceGraphic" in2="blurOut3" mode="normal"/></filter></defs><g><text fill="#000000" font-family="sans-serif" font-size="18" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="89" x="215.25" y="26.708">µRtWare</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="188" x="165.75" y="47.6611">urtSrtSubscriberInit()</text><text fill="#000000" font-family="sans-serif" font-size="18" lengthAdjust="spacingAndGlyphs" textLength="0" x="262.75" y="68.6143"/><path d="M263.5,72.8594 L263.5,153.3906 L509.5,153.3906 L509.5,82.8594 L499.5,72.8594 L263.5,72.8594 " fill="#FBFB77" filter="url(#fo5v7x2mc15wf)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M499.5,72.8594 L499.5,82.8594 L509.5,82.8594 L499.5,72.8594 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="263.5" x2="274" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="278" y="89.4263"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="78" x="278" y="89.4263">subscriber</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="135" x="360" y="89.4263">: urt_srtsubscriber_t*</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="499" x2="509.5" y1="85.4258" y2="85.4258"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="197" x="269.5" y="105.0591">The SRT subscriber to initialize.</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="76" x="269.5" y="120.1919">Must not be</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="349.5" y="120.1919">NULL</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="4" x="381.5" y="120.1919">.</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="263.5" x2="509.5" y1="128.2578" y2="128.2578"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="263.5" x2="509.5" y1="130.2578" y2="130.2578"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="263.5" x2="341" y1="140.8242" y2="140.8242"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="0" x="345" y="144.8247"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="45" x="345" y="144.8247">return</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="34" x="394" y="144.8247">: void</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="432" x2="509.5" y1="140.8242" y2="140.8242"/><ellipse cx="386.5" cy="183.3906" fill="#000000" filter="url(#fo5v7x2mc15wf)" rx="10" ry="10" style="stroke: none; stroke-width: 1.0;"/><path d="M10,203.3906 L10,425.25 A0,0 0 0 0 10,425.25 L301,425.25 A0,0 0 0 0 301,425.25 L301,318.3203 L321,314.3203 L301,310.3203 L301,213.3906 L291,203.3906 L10,203.3906 A0,0 0 0 0 10,203.3906 " fill="#FBFB77" filter="url(#fo5v7x2mc15wf)" style="stroke: #A80036; stroke-width: 1.0;"/><path d="M291,203.3906 L291,213.3906 L301,213.3906 L291,203.3906 " fill="#FBFB77" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.0;" x1="10" x2="84.5" y1="215.957" y2="215.957"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="134" x="88.5" y="219.9575">urt_basesubscriber_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="226.5" x2="301" y1="215.957" y2="215.957"/><ellipse cx="21.5" cy="231.1563" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="37" x="27" y="235.5903">topic</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="68" y="235.5903">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="83" y="235.5903">NULL</text><ellipse cx="21.5" cy="246.2891" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="129" x="27" y="250.7231">urtEventListenerInit(</text><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="82" x="156" y="250.7231">evtListener</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="5" x="238" y="250.7231">)</text><ellipse cx="21.5" cy="261.4219" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="93" x="27" y="265.856">lastMessage</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="124" y="265.856">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="139" y="265.856">NULL</text><ellipse cx="21.5" cy="276.5547" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="128" x="27" y="280.9888">lastMessageTime</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="159" y="280.9888">← 0</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="10" x2="27" y1="291.6211" y2="291.6211"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="249" x="31" y="295.6216">URT_CFG_PUBSUB_PROFILING == true</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="284" x2="301" y1="291.6211" y2="291.6211"/><ellipse cx="21.5" cy="306.8203" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="101" x="27" y="311.2544">sumLatencies</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="132" y="311.2544">← 0</text><ellipse cx="21.5" cy="321.9531" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="173" x="27" y="326.3872">numMessagesReceived</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="23" x="204" y="326.3872">← 0</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="10" x2="91.5" y1="337.0195" y2="337.0195"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="120" x="95.5" y="341.02">urt_srtsubscriber_t</text><line style="stroke: #A80036; stroke-width: 1.0;" x1="219.5" x2="301" y1="337.0195" y2="337.0195"/><ellipse cx="21.5" cy="352.2188" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="97" x="27" y="356.6528">usefulnesscb</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="128" y="356.6528">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="143" y="356.6528">NULL</text><ellipse cx="21.5" cy="367.3516" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="74" x="27" y="371.7856">cbparams</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="105" y="371.7856">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="32" x="120" y="371.7856">NULL</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="10" x2="27" y1="382.418" y2="382.418"/><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="249" x="31" y="386.4185">URT_CFG_PUBSUB_PROFILING == true</text><line style="stroke: #A80036; stroke-width: 1.0; stroke-dasharray: 1.0,2.0;" x1="284" x2="301" y1="382.418" y2="382.418"/><ellipse cx="21.5" cy="397.6172" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="84" x="27" y="402.0513">minLatency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="115" y="402.0513">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="144" x="130" y="402.0513">URT_DELAY_INFINITE</text><ellipse cx="21.5" cy="412.75" fill="#000000" rx="2.5" ry="2.5" style="stroke: #000000; stroke-width: 0.0;"/><text fill="#000000" font-family="sans-serif" font-size="13" font-weight="bold" lengthAdjust="spacingAndGlyphs" textLength="88" x="27" y="417.1841">maxLatency</text><text fill="#000000" font-family="sans-serif" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="11" x="119" y="417.1841">←</text><text fill="#000000" font-family="monospace" font-size="13" lengthAdjust="spacingAndGlyphs" textLength="152" x="134" y="417.1841">URT_DELAY_IMMEDIATE</text><rect fill="#FEFECE" filter="url(#fo5v7x2mc15wf)" height="33.9688" rx="12.5" ry="12.5" style="stroke: #A80036; stroke-width: 1.5;" width="131" x="321" y="297.3359"/><text fill="#000000" font-family="sans-serif" font-size="12" lengthAdjust="spacingAndGlyphs" textLength="111" x="331" y="318.4746">initialize members</text><ellipse cx="386.5" cy="456.25" fill="#FFFFFF" filter="url(#fo5v7x2mc15wf)" rx="11" ry="11" style="stroke: #000000; stroke-width: 1.0;"/><ellipse cx="386.5" cy="456.25" fill="#000000" rx="6" ry="6" style="stroke: #7F7F7F; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="386.5" x2="386.5" y1="153.3906" y2="173.3906"/><polygon fill="#A80036" points="382.5,163.3906,386.5,173.3906,390.5,163.3906,386.5,167.3906" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="386.5" x2="386.5" y1="193.3906" y2="297.3359"/><polygon fill="#A80036" points="382.5,287.3359,386.5,297.3359,390.5,287.3359,386.5,291.3359" style="stroke: #A80036; stroke-width: 1.0;"/><line style="stroke: #A80036; stroke-width: 1.5;" x1="386.5" x2="386.5" y1="331.3047" y2="445.25"/><polygon fill="#A80036" points="382.5,435.25,386.5,445.25,390.5,435.25,386.5,439.25" style="stroke: #A80036; stroke-width: 1.0;"/><!--MD5=[d97a552859996775fdc7a6403d4c57e9]
 @startuml
 
 title **µRtWare**\nurtSrtSubscriberInit()\n
@@ -28,8 +28,8 @@ note
   * **usefulnesscb** ← ""NULL""
   * **cbparams** ← ""NULL""
   .. URT_CFG_PUBSUB_PROFILING == true ..
-  * **minLatency** ← 0xF..F
-  * **maxLatency** ← 0
+  * **minLatency** ← ""URT_DELAY_INFINITE""
+  * **maxLatency** ← ""URT_DELAY_IMMEDIATE""
 endnote
 stop
 
@@ -40,7 +40,7 @@ PlantUML version 1.2020.00(Sat Jan 11 13:30:53 CET 2020)
 (GPL source distribution)
 Java Runtime: OpenJDK Runtime Environment
 JVM: OpenJDK 64-Bit Server VM
-Java Version: 11.0.6+10-post-Ubuntu-1ubuntu118.04.1
+Java Version: 11.0.7+10-post-Ubuntu-2ubuntu218.04
 Operating System: Linux
 Default Encoding: UTF-8
 Language: en